void setup()
{
  size(1000, 600);

//  PFont font;
//  font = loadFont("CourierNewPSMT-30.vlw");
//  textFont(font, 30);
 // smooth();
  strokeWeight(1);
}

void draw()
{      
  int colr1 = hour()*10+15;
  int colg1 = 240-hour()*10;
  int colb1 = 0;
  
  int colr2 = 240-minute()*4;
  int colg2 = minute()*4+15;
  int colb2 = 0;


//  int colr3 = second()*4;
//  int colg3 = 50;
//  int colb3 = 240-second()*4;
//  background(colr3,colg3,colb3);

/*  if(second() < 30)
    background(120+second()*4);
  else 
    background(360-second()*4);
*/
  
  background(75);
  
  for(int x = 0; x <= width; x+=40)
  {
    for(int y = 0; y <= height; y+=75)
    {
      pushMatrix();
        translate(x,y);
        scale(.1);
        ornament(color(colr1,colg1,colb1),color(colr2,colg2,colb2));          // funtions aufruf
      popMatrix();
    }
  }
  
  translate(width/2, height/2);
 // rotate(PI + HALF_PI);
  pushStyle();
    noFill();
    stroke(10);
    strokeWeight(420);
    ellipse(0, 0, 1000, 1000);
  popStyle(); 
  
  float rotsec = map(second(), 0, 60, 0, TWO_PI) - HALF_PI;
  float rotmin = map(minute() + norm(second(), 0, 60), 0, 60, 0, TWO_PI) - HALF_PI;
  float rotstd = map(hour() + norm(minute(), 0, 60), 0, 24, 0, TWO_PI * 2) - HALF_PI;
  
  pushStyle();
    strokeWeight(62);
    stroke(10);
    strokeCap(SQUARE);
    noFill();
    pushMatrix();
      rotate(rotsec);
      arc(0, 0, 500, 500, radians(7), radians(353));
    popMatrix();
    pushMatrix();
      rotate(rotmin);
      arc(0, 0, 380, 380, radians(10), radians(350));
    popMatrix();
    pushMatrix();
      rotate(rotstd);
      arc(0, 0, 260, 260, radians(15), radians(345));
    popMatrix();
  popStyle();
}

void ornament(color col1, color col2)
{
  fill(col1);
  stroke(col1);
  quad(400, 0, 200, 0, 200, 250, 400, 125);
  quad(200, 250, 0, 375, 0, 625, 200, 500);
  triangle(400, 625, 200, 750, 400, 750);  

  fill(col2);
  stroke(col2);
  quad(0, 0, 200, 0, 200, 250, 0, 125);
  quad(200, 250, 400, 375, 400, 625, 200, 500);
  triangle(0, 625, 200, 750, 0, 750);
}
